{% load static %}

{% block meta %}
<title>Ajax</title>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
{% endblock meta %}

{% block content %}
<input id="keyword" placeholder="judul buku">

<table class="table" id="daftar_buku">
</table>

<script type="text/javascript">
    $("#keyword").keyup(function(){
        var inp = $("#keyword").val();
        $.ajax({
        
url: '/data/?q='+inp,
            success:function(data) {
                var array_items = data.items;
                $("#daftar_buku").empty();
                $("#daftar_buku").append("<thead class=\"thead-light\"><br><tr><br><th scope=\"col\">No</th><br><th scope=\"col\">Judul</th><br><th scope=\"col\">Gambar</th><br></thead>");
                for (i = 0; i<array_items.length; i++) {
                    var judul = array_items[i].volumeInfo.title;
                    var gambar = array_items[i].volumeInfo.imageLinks.smallThumbnail;
                    $("#daftar_buku").append("<tbody><br><tr><br><th scope=\"row\">"+(i+1)+"</th><br><td>"+judul+"</td><br><td><img src="+gambar+"></td><br></tr><br></tbody>");
                }
            }
        });
    });
</script>
{% endblock content %}